Subject: bug#75591: closed (Re: bug#75591: 30.0.92; Inconsistency in Function Naming: *-open-file vs. *-find-file)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Jan 2025 09:30:02 +0000

Your bug report

#75591: 30.0.92; Inconsistency in Function Naming: *-open-file vs. *-find-file

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75591: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75591
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75591: 30.0.92; Inconsistency in Function Naming: *-open-file vs. *-find-file
From: Eli Zaretskii <[email-masked]>
To: Anush V <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 Jan 2025 11:29:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Anush V <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 16 Jan 2025 08:20:19 -0500
> 
> > From: Eli Zaretskii <[email-masked]>
> > Date: Wed, 15 Jan 2025 22:16:03 +0200
> >
> >> From: Anush V <[email-masked]>
> >> Date: Wed, 15 Jan 2025 13:29:44 -0500
> >>
> >> I noticed an inconsistency in the naming conventions of certain Emacs
> >> functions that I find confusing.  Specifically, some functions use
> >> *-open-file(s), while others use *-find-file.
> >>
> >> Functions such as eww-open-file and recentf-open-files use 'open-file'
> >> or 'open-files' in their naming.  In contrast, many other functions,
> >> including dired-find-file, find-file, project-find-file, and
> >> ido-find-file, use the 'find-file' format.
> >>
> >> I am curious about the rationale behind this difference.  Is there
> >> a specific reason that some functions prefer 'open-file' over
> >> 'find-file' even though they seem to perform similar actions?
> >
> > I think just personal preferences of whoever implemented these
> > functions, and the many years that passed between the "find" names
> > were introduced and the time the "open" names weer introduced.
> > Nothing more.
> 
> Thank you for clarifying. I had wrongly assumed that "find-file" might
> be the standard, as those seemed to have been introduced first.

It's true that find-* where introduced first, but we nowadays use
both.

So I'm now closing this bug.

Subject: 30.0.92; Inconsistency in Function Naming: *-open-file vs. *-find-file
From: Anush V <[email-masked]>
To: [email-masked]
Date: Wed, 15 Jan 2025 13:29:44 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Emacs Maintainers,

I noticed an inconsistency in the naming conventions of certain Emacs
functions that I find confusing.  Specifically, some functions use
*-open-file(s), while others use *-find-file.

Functions such as eww-open-file and recentf-open-files use 'open-file'
or 'open-files' in their naming.  In contrast, many other functions,
including dired-find-file, find-file, project-find-file, and
ido-find-file, use the 'find-file' format.

I am curious about the rationale behind this difference.  Is there
a specific reason that some functions prefer 'open-file' over
'find-file' even though they seem to perform similar actions?

Thank you for your time!

* * *
In GNU Emacs 30.0.92 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.41, cairo version 1.18.0)
Windowing system distributor 'The X.Org Foundation', version 11.0.12101014
System Description: Guix System

Configured using:
 'configure
 CONFIG_SHELL=/gnu/store/6nqyia3ra10sgd1ppzk2047ncbzjwhff-bash-minimal-5.1.16/bin/bash
 SHELL=/gnu/store/6nqyia3ra10sgd1ppzk2047ncbzjwhff-bash-minimal-5.1.16/bin/bash --prefix=/gnu/store/ml6xyl3py6hqfdps2sypdi7s212y7k02-emacs-next-30.0.92-0.881d593 --enable-fast-install --with-cairo --with-modules --with-native-compilation=aot --disable-build-details'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ
JPEG LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3
THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER X11 XDBE XIM XINPUT2 XPM
GTK3 ZLIB

--
Regards,
Anush